--Setting mouse values for contant cursor movement
mousex = love.mouse.getX( )
mousey = love.mouse.getY( )

--player location
playerx = 50
playery= 300

-- !!!CHANGE!!! SET GLOBALS OR love.update CRASHES SINCE THEY'RE NIL
xrate, yrate = 0,0          
shotx,shoty = 0,0


function love.load()
	
	--cursor operations
	love.mouse.setVisible(false)
	cursor = love.graphics.newImage("img/mouse.png")
	
	--loading bullet
	bullet = love.graphics.newImage("img/bullet.png")
	
	--loading player
	player = love.graphics.newImage("img/player.png")
end

function love.mousepressed(x, y, button)
	 --fire shot 
	  if button == "l" then
	  
	  --destination
	  destinationx = x
      destinationy = y
	  
	  --start bullet
      shotx = playerx -- !!!CHANGE!!! replaced originx|y with shotx|y because it would reset everytime from origin again in love.update
	  shoty = playery -- !!!CHANGE!!!
	  
	  --calc rate

	  xrate = destinationx-shotx -- !!!CHANGE!!!
	  yrate = destinationy-shoty -- !!!CHANGE!!!

	  end
end

function love.update(dt)
	--cursor movement
	mousex = love.mouse.getX( )
	mousey = love.mouse.getY( )
	
	--bullet movement
	shotx = shotx + (xrate*dt) -- !!!CHANGE!!! also changed originx|y to shotx|y
	shoty = shoty + (yrate*dt) -- !!!CHANGE!!!
end 

function love.draw()
	love.graphics.draw(bullet, shotx, shoty)
   love.graphics.draw(cursor, mousex, mousey)
   love.graphics.draw(player, playerx, playery)
   
end